Bug 147542 - Anaconda prompts for values defined in kickstart on NON-interactive installs
Anaconda prompts for values defined in kickstart on NON-interactive installs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-08 18:23 EST by Kurt Heberlein
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-09 20:45:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Heberlein 2005-02-08 18:23:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
kickstart config was working with FC2.  Now on FC3 with anaconda-10,
it immediately prompts for keyboard, even tho it is defined in the
kickstart file.   The kickstart does not have autostep or interactive
in it.   Here is the beginning of the ks:

cdrom
install
keyboard us
text
lang en_US.UTF-8
langsupport --default en_US.UTF-8 en_US.UTF-8
mouse genericwheelps/2 --device psaux
skipx
deviceprobe

network --device eth0 --bootproto dhcp --hostname SP00000
network --device eth1 --bootproto static --ip 10.255.155.54 --netmask
255.255.255.248 --hostname SP00000

rootpw --iscrypted $1$YRnDbyv0$.DCDR4ZFS7isotPdLwkZe0
firewall --disabled
authconfig --enableshadow --enablemd5
timezone --utc America/Los_Angeles
bootloader --location=mbr --useLilo
clearpart --all --initlabel
part /boot --fstype ext3 --size=100
part /usr --fstype ext3 --size=5000
part /var --fstype ext3 --size=2000
part / --fstype ext3 --size=2000
part swap --size=512
part /home --fstype ext3 --size=1000
part /sp --fstype ext3 --size=1 --grow

%packages
...

On FC2 with anaconda 9.?  the installer got to wokr right away.  Now
it asks for everything i have already defined .

Version-Release number of selected component (if applicable):
anaconda-10.1.0.2-1

How reproducible:
Always

Steps to Reproduce:
1.Simply use this kickstart file with any package list and it will fail
2.
3.
    

Actual Results:  System boots and immediately asks for keyboard type,
while displaying the value already selected in the kickstart file (us).

Expected Results:  System should have just begun installing as it did
under FC2

Additional info:
Comment 1 Jeremy Katz 2005-02-09 11:40:30 EST
Is this a serial install?  If so, try adding 'serial' to your boot
command line and it should fix it (and then it's fixed to not even
need that in CVS)
Comment 2 Kurt Heberlein 2005-02-09 20:08:59 EST
i can do that.   The boot command line already contains
console=ttyS0...   i should use serial in addition?  thanks
Comment 3 Kurt Heberlein 2005-02-09 20:20:30 EST
i should have been more clear..   this is the isolinux.cfg file that
is on the CD that we kickstart from:    Aside from telling the boot
loader to serial, do you want me to put serial in the append lines?

serial 0 38400
default harddisk
prompt 1
timeout 600
display boot.msg
label field
  kernel vmlinuz
  append initrd=initrd.img text ks=cdrom:/cdks.cfg console=ttyS0,38400
label manuf
  kernel vmlinuz
  append initrd=initrd.img text ks=cdrom console=ttyS0,38400
label expert
  kernel vmlinuz
  append rescue initrd=initrd.img text console=ttyS0,38400
label harddisk
  localboot 0x80
Comment 4 Jeremy Katz 2005-02-09 20:45:24 EST
Yes, adding serial will fix it.

Note You need to log in before you can comment on or make changes to this bug.